(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["Hybrid"] = factory();
	else
		root["Hybrid"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	"use strict";
	var Core_1 = __webpack_require__(1);
	module.exports = Core_1["default"];


/***/ }),
/* 1 */
/***/ (function(module, exports) {

	"use strict";
	var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
	    return new (P || (P = Promise))(function (resolve, reject) {
	        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
	        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
	        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
	        step((generator = generator.apply(thisArg, _arguments || [])).next());
	    });
	};
	var __generator = (this && this.__generator) || function (thisArg, body) {
	    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
	    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
	    function verb(n) { return function (v) { return step([n, v]); }; }
	    function step(op) {
	        if (f) throw new TypeError("Generator is already executing.");
	        while (_) try {
	            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
	            if (y = 0, t) op = [op[0] & 2, t.value];
	            switch (op[0]) {
	                case 0: case 1: t = op; break;
	                case 4: _.label++; return { value: op[1], done: false };
	                case 5: _.label++; y = op[1]; op = [0]; continue;
	                case 7: op = _.ops.pop(); _.trys.pop(); continue;
	                default:
	                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
	                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
	                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
	                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
	                    if (t[2]) _.ops.pop();
	                    _.trys.pop(); continue;
	            }
	            op = body.call(thisArg, _);
	        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
	        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
	    }
	};
	exports.__esModule = true;
	var Core = /** @class */ (function () {
	    function Core() {
	        this.cacheResult = {};
	        this.requestCounter = 0;
	        this.isDebug = false;
	        this._hasListen = {};
	        var self = this;
	        self._win = window;
	        self._win.SnappeaJS = {};
	        self._win.SnappeaJS.invokeWeb = function (api, res) {
	            var result = JSON.parse(res);
	            if (result.res_sn) {
	                self._win.resCallback[result.res_sn](result.value ? result.value : '');
	                delete self._win.resCallback[result.res_sn];
	            }
	        };
	        this._win.SnappeaJS.notifyWeb = function (callbackSn, res) {
	            var result = JSON.parse(res);
	            if (self._win.resCallback[callbackSn]) {
	                self._win.resCallback[callbackSn](result);
	            }
	            else {
	                console.warn('No callback add: ' + callbackSn);
	            }
	        };
	        //invoke api functions
	        self._win.resCallback = {};
	    }
	    Core.prototype.snappeaRequest = function (url, callback) {
	        var self = this;
	        var iframe = document.createElement('iframe');
	        iframe.style.display = 'none';
	        if (callback !== undefined) {
	            var callbackSn = 'cb_' + (this.requestCounter++);
	            url += ('&req_sn=' + callbackSn);
	            self._win.resCallback[callbackSn] = callback;
	        }
	        iframe.setAttribute('src', url);
	        document.body.appendChild(iframe);
	        setTimeout(function () {
	            iframe.parentNode.removeChild(iframe);
	        }, 2000);
	    };
	    Core.prototype.invokeApi = function (api, args) {
	        var fullUrl = 'snappea://' + api + '?';
	        var callback = undefined;
	        var options = {};
	        if (args === undefined) {
	            //do nothing
	            //options = {};
	        }
	        else if (typeof args === 'function') {
	            callback = args;
	            options = {};
	        }
	        else {
	            args.callback && (callback = args.callback);
	            for (var key in args) {
	                if (args.hasOwnProperty(key)) {
	                    if (typeof args[key] !== 'function') {
	                        options[key] = args[key];
	                    }
	                }
	            }
	        }
	        fullUrl += ('value=' + encodeURIComponent(JSON.stringify(options)));
	        this.snappeaRequest(fullUrl, callback);
	    };
	    //check is thisVersion > comparedVersion
	    Core.isHigherVersion = function (thisVersionName, comparedVersionName) {
	        var thisVersionArray = thisVersionName.split('.');
	        var comparedVersionArray = comparedVersionName.split('.');
	        if (thisVersionArray.length < 3 || comparedVersionArray.length < 3) {
	            throw new TypeError('Your provide version string can not be compared.');
	        }
	        for (var i = 0; i < 3; i++) {
	            var thisVersionItem = (+thisVersionArray[i]);
	            var comparedVersionItem = (+comparedVersionArray[i]);
	            if (thisVersionItem < comparedVersionItem) {
	                return false;
	            }
	            if (thisVersionItem === comparedVersionItem) {
	                continue;
	            }
	            if (thisVersionItem > comparedVersionItem) {
	                return true;
	            }
	        }
	        return true;
	    };
	    Core.prototype.requestAPI = function (_a) {
	        var api = _a.api, _b = _a.isCache, isCache = _b === void 0 ? false : _b, _c = _a.versionLimit, versionLimit = _c === void 0 ? '' : _c, _d = _a.args, args = _d === void 0 ? {} : _d;
	        var self = this;
	        return new Promise(function (resolve) {
	            return __awaiter(this, void 0, void 0, function () {
	                var _a, options, key;
	                return __generator(this, function (_b) {
	                    switch (_b.label) {
	                        case 0:
	                            _a = versionLimit;
	                            if (!_a) return [3 /*break*/, 2];
	                            return [4 /*yield*/, self.isSupportVersion(versionLimit)];
	                        case 1:
	                            _a = !(_b.sent());
	                            _b.label = 2;
	                        case 2:
	                            if (_a) {
	                                console.error('当前SDK版本名： ', self.cacheResult['com.dywx.hybrid.handler.SdkInfoHandler/getSdkVersionName']);
	                                throw new Error('API请求失败，' + api + ' 需' + versionLimit + '+版本SDK');
	                            }
	                            if (isCache && self.cacheResult[api] !== undefined) {
	                                resolve(self.cacheResult[api]);
	                                return [2 /*return*/];
	                            }
	                            options = {
	                                callback: function (result) {
	                                    isCache && (self.cacheResult[api] = result);
	                                    resolve(result);
	                                }
	                            };
	                            for (key in args) {
	                                if (args.hasOwnProperty(key)) {
	                                    options[key] = args[key];
	                                }
	                            }
	                            self.invokeApi(api, options);
	                            return [2 /*return*/];
	                    }
	                });
	            });
	        });
	    };
	    Core.prototype.listenAPI = function (args) {
	        return __awaiter(this, void 0, void 0, function () {
	            var callbackAPI, self, _a;
	            return __generator(this, function (_b) {
	                switch (_b.label) {
	                    case 0:
	                        callbackAPI = args.api.replace(/\/listen$/, '');
	                        self = this;
	                        if (this._hasListen[callbackAPI] === true) {
	                            return [2 /*return*/];
	                        }
	                        else {
	                            this._hasListen[callbackAPI] = true;
	                        }
	                        _a = args.versionLimit;
	                        if (!_a) return [3 /*break*/, 2];
	                        return [4 /*yield*/, this.isSupportVersion(args.versionLimit)];
	                    case 1:
	                        _a = !(_b.sent());
	                        _b.label = 2;
	                    case 2:
	                        if (_a) {
	                            console.error('当前SDK版本名： ', self.cacheResult['com.dywx.hybrid.handler.SdkInfoUrlHandler/getSdkVersionName']);
	                            throw new Error('API请求失败，' + args.api + ' 需' + args.versionLimit + '+版本SDK');
	                        }
	                        if (self._win.resCallback[callbackAPI] === undefined) {
	                            this.invokeApi(args.api);
	                        }
	                        self._win.resCallback[callbackAPI] = args.callback;
	                        return [2 /*return*/];
	                }
	            });
	        });
	    };
	    Core.prototype.stopListenAPI = function (args) {
	        return __awaiter(this, void 0, void 0, function () {
	            var _a;
	            return __generator(this, function (_b) {
	                switch (_b.label) {
	                    case 0:
	                        this._hasListen[args.api] = false;
	                        _a = args.versionLimit;
	                        if (!_a) return [3 /*break*/, 2];
	                        return [4 /*yield*/, this.isSupportVersion(args.versionLimit)];
	                    case 1:
	                        _a = !(_b.sent());
	                        _b.label = 2;
	                    case 2:
	                        if (_a) {
	                            throw new Error('API请求失败，' + args.api + ' 需' + args.versionLimit + '+版本SDK');
	                        }
	                        this.invokeApi(args.api);
	                        delete this._win.resCallback[args.api.replace(/\/removeListen$/, '')];
	                        return [2 /*return*/];
	                }
	            });
	        });
	    };
	    //is support version
	    /**
	     * 检查是否高于或等于指定版本
	     * @param comparedVersionString
	     * @return boolean
	     */
	    Core.prototype.isSupportVersion = function (comparedVersionString) {
	        var self = this;
	        return new Promise(function (resolve) {
	            return __awaiter(this, void 0, void 0, function () {
	                var thisVersionName;
	                return __generator(this, function (_a) {
	                    switch (_a.label) {
	                        case 0: return [4 /*yield*/, self.getThisSDKVersionName()];
	                        case 1:
	                            thisVersionName = _a.sent();
	                            if (typeof thisVersionName === 'string') {
	                                resolve(Core.isHigherVersion(thisVersionName, comparedVersionString));
	                            }
	                            else {
	                                throw new TypeError('thisVersionName must be string');
	                            }
	                            return [2 /*return*/];
	                    }
	                });
	            });
	        });
	    };
	    ;
	    /**
	     * 合并请求
	     * @baseAPI string
	     * @mapApi any[]
	     */
	    Core.prototype.mergeRequest = function (baseAPI, requestInfo) {
	        var _this = this;
	        for (var i = 0, l = requestInfo.length; i < l; i++) {
	            requestInfo[i].key = 'key_' + i;
	        }
	        return new Promise(function (resolve) { return __awaiter(_this, void 0, void 0, function () {
	            var res, keys, result, i, l, key;
	            return __generator(this, function (_a) {
	                switch (_a.label) {
	                    case 0: return [4 /*yield*/, this.requestAPI({
	                            api: baseAPI + '/mergeRequest',
	                            args: { requestInfo: requestInfo }
	                        })];
	                    case 1:
	                        res = _a.sent();
	                        keys = Object.keys(res);
	                        result = [];
	                        for (i = 0, l = keys.length; i < l; i++) {
	                            key = keys[i];
	                            result.push(res[key]);
	                        }
	                        resolve(result);
	                        return [2 /*return*/];
	                }
	            });
	        }); });
	    };
	    /**
	     * 检查是否支持hybrid sdk
	     * @return boolean
	     */
	    Core.prototype.isSupportHybrid = function () {
	        var self = this;
	        return new Promise(function (resolve) {
	            var settle = false;
	            self.getThisSDKVersionName()
	                .then(function (sdkVersionName) {
	                if (settle) {
	                    return;
	                }
	                settle = true;
	                resolve(!!sdkVersionName);
	            });
	            setTimeout(function () {
	                if (settle) {
	                    return;
	                }
	                settle = true;
	                resolve(false);
	            }, 200); // get sdk version name should be return in 200ms, maybe less, just my guess.
	        });
	    };
	    ;
	    //debug
	    /**
	     * 开关调试窗口
	     * @param isOpen
	     * @return none
	     */
	    Core.prototype.toggleDebug = function (isOpen) {
	        var switcher = isOpen ? 1 : 0;
	        this.invokeApi('com.dywx.hybrid.handler.DebugHandler/toggleDebug', { debug: switcher });
	        this.isDebug = !!switcher;
	    };
	    //copy
	    /**
	     * 复制指定文本到剪贴板
	     * @param content
	     */
	    Core.prototype.copyText = function (content) {
	        this.invokeApi('com.dywx.hybrid.handler.SystemToolHandler/copyToClipboard', { content: content });
	    };
	    //page refresh
	    /**
	     * 打开监听页面刷新状态
	     */
	    Core.prototype.listenPageRefresh = function (callback) {
	        this.listenAPI({
	            api: 'com.dywx.hybrid.event.RefreshEvent/listen',
	            callback: callback
	        });
	    };
	    /**
	     * 向客户端汇报页面刷新结果
	     * @param isSuccess
	     */
	    Core.prototype.reportPageRefresh = function (isSuccess) {
	        if (isSuccess === void 0) { isSuccess = true; }
	        this.invokeApi('com.dywx.hybrid.event.RefreshEvent/onRefreshFinished', { success: isSuccess });
	    };
	    //SDK
	    /**
	     * 获取当前App的SDK版本名
	     * @return {Promise<string>}
	     */
	    Core.prototype.getThisSDKVersionName = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.SdkInfoHandler/getSdkVersionName',
	            isCache: true
	        });
	    };
	    /**
	     * 获取当前App的SDK版本号，
	     * @return {Promise<number>}
	     */
	    Core.prototype.getThisSDKVersionCode = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.SdkInfoHandler/getSdkVersionCode',
	            isCache: true
	        });
	    };
	    //MBack
	    /**
	     * 开启监听MBack事件，开启后点击MBack将失去默认的返回行为
	     */
	    Core.prototype.listenMBack = function (callback) {
	        this.listenAPI({
	            api: 'com.dywx.hybrid.event.MBack/listen',
	            callback: callback
	        });
	    };
	    /**
	     * 关闭监听MBack事件
	     */
	    Core.prototype.stopListenMBack = function () {
	        this.stopListenAPI({
	            api: 'com.dywx.hybrid.event.MBack/removeListen'
	        });
	    };
	    /**
	     * 执行返回行为
	     */
	    Core.prototype.back = function () {
	        this.invokeApi('com.dywx.hybrid.event.MBack/back', { value: 1 });
	    };
	    /**
	     * 关闭当前WebView
	     */
	    Core.prototype.closeWebview = function () {
	        this.invokeApi('com.dywx.hybrid.event.MBack/back', { value: 2 });
	    };
	    //application activity
	    /**
	     * 开启监听App当前状态（前台或后台）
	     */
	    Core.prototype.listenAppActivity = function (callback) {
	        this.listenAPI({
	            api: 'com.dywx.hybrid.event.ActivityEvent/listen',
	            callback: callback
	        });
	    };
	    /**
	     * 关闭监听App当前状态
	     */
	    Core.prototype.stopListenAppActivity = function () {
	        this.stopListenAPI({
	            api: 'com.dywx.hybrid.event.ActivityEvent/removeListen'
	        });
	    };
	    //device
	    /**
	     * 获取手机SN号码
	     * @return {Promise<string>}
	     * @version 2.0.19+
	     */
	    Core.prototype.getSN = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.DeviceInfoHandler/getSN',
	            isCache: true
	        });
	    };
	    /**
	     * 获取手机Model
	     * @return {Promise<string>}
	     */
	    Core.prototype.getModel = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.DeviceInfoHandler/getModel',
	            isCache: true
	        });
	    };
	    /**
	     * 获取Android版本名
	     * @return {Promise<string>}
	     */
	    Core.prototype.getAndroidVersion = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.DeviceInfoHandler/getAndroidVersion',
	            isCache: true
	        });
	    };
	    /**
	     * 获取Android api Level
	     * @return {Promise<number>}
	     */
	    Core.prototype.getAndroidSDKLevel = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.DeviceInfoHandler/getAndroidSdkLevel',
	            isCache: true
	        });
	    };
	    //network
	    /**
	     * 获取网络类型
	     * @return {Promise<string>}
	     */
	    Core.prototype.getNetworkType = function () {
	        var self = this;
	        return new Promise(function (resolve) {
	            self.invokeApi('com.dywx.hybrid.event.NetworkEvent/getNetworkType', resolve);
	        });
	    };
	    /**
	     * 判断网络是否可用
	     * @return {Promise<boolean>}
	     */
	    Core.prototype.isNetworkAvailable = function () {
	        var self = this;
	        return new Promise(function (resolve) {
	            self.invokeApi('com.dywx.hybrid.event.NetworkEvent/isNetworkAvailable', function (isNetworkAvailable) {
	                resolve(!!isNetworkAvailable);
	            });
	        });
	    };
	    /**
	     * 开启监听网络变化
	     */
	    Core.prototype.listenNetwork = function (callback) {
	        this.listenAPI({
	            api: 'com.dywx.hybrid.event.NetworkEvent/listen',
	            callback: callback
	        });
	    };
	    /**
	     * 关闭监听网络变化
	     */
	    Core.prototype.stopListenNetwork = function () {
	        this.stopListenAPI({
	            api: 'com.dywx.hybrid.event.NetworkEvent/removeListen'
	        });
	    };
	    /**
	     * 执行网络变化事件的回调
	     * @param callback
	     */
	    Core.prototype.onNetwork = function (callback) {
	        this._win.resCallback['com.dywx.hybrid.event.NetworkEvent'] = callback;
	    };
	    /**
	     * 获取网络名称
	     * @return {Promise<string>}
	     */
	    Core.prototype.getNetworkName = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.event.NetworkEvent/getNetworkName'
	        });
	    };
	    /**
	     * 获取网络模式(移动网络下)
	     * @return {Promise<string>}
	     */
	    Core.prototype.getNetworkMode = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.event.NetworkEvent/getNetworkMode'
	        });
	    };
	    /**
	     * 获取网络模式(移动网络下) 短名字
	     * @return {Promise<string>}
	     */
	    Core.prototype.getShortNetworkMode = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.event.NetworkEvent/getShortNetworkMode'
	        });
	    };
	    /**
	     * 是否在使用移动网
	     * @return {Promise<boolean>}
	     */
	    Core.prototype.isMobileNetwork = function () {
	        var self = this;
	        return new Promise(function (resolve) {
	            return __awaiter(this, void 0, void 0, function () {
	                return __generator(this, function (_a) {
	                    self.invokeApi('com.dywx.hybrid.event.NetworkEvent/isMobileNetwork', function (isMobileNetwork) {
	                        resolve(!!isMobileNetwork);
	                    });
	                    return [2 /*return*/];
	                });
	            });
	        });
	    };
	    /**
	     * 是否在使用wifi网络
	     * @return {Promise<boolean>}
	     */
	    Core.prototype.isWlanNetwork = function () {
	        var self = this;
	        return new Promise(function (resolve) {
	            return __awaiter(this, void 0, void 0, function () {
	                return __generator(this, function (_a) {
	                    self.invokeApi('com.dywx.hybrid.event.NetworkEvent/isWlanNetwork', function (isWlanNetwork) {
	                        resolve(!!isWlanNetwork);
	                    });
	                    return [2 /*return*/];
	                });
	            });
	        });
	    };
	    //app info
	    /**
	     * 获取当前App的版本名
	     * @return {Promise<string>}
	     */
	    Core.prototype.getThisVersionName = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.AppInfoHandler/getVersion',
	            isCache: true
	        });
	    };
	    /**
	     * 获取肖前App的版本号
	     * @return {Promise<number>}
	     */
	    Core.prototype.getThisVersionCode = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.AppInfoHandler/getVersionCode',
	            isCache: true
	        });
	    };
	    /**
	     * 获取当前App的名称
	     * @return {Promise<string>}
	     */
	    Core.prototype.getThisPackageName = function () {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.AppInfoHandler/getPackageName',
	            isCache: true
	        });
	    };
	    /**
	     * 获取指定App的版本名
	     * @param packageName
	     * @return {Promise<string>}
	     */
	    Core.prototype.getPackageVersionName = function (packageName) {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.AppInfoHandler/getPackageVersionName',
	            args: {
	                packageName: packageName
	            }
	        });
	    };
	    /**
	     * 获取指定App的版本号
	     * @param packageName
	     * @return {Promise<string>}
	     */
	    Core.prototype.getPackageVersionCode = function (packageName) {
	        return this.requestAPI({
	            api: 'com.dywx.hybrid.handler.AppInfoHandler/getPackageVersionCode',
	            args: {
	                packageName: packageName
	            }
	        });
	    };
	    /**
	     * 检查指定的App是否已经安装
	     * @param packageName
	     * @return {Promise<boolean>}
	     */
	    Core.prototype.isPackageInstalled = function (packageName) {
	        var self = this;
	        return new Promise(function (resolve) {
	            self.invokeApi('com.dywx.hybrid.handler.AppInfoHandler/isPackageInstalled', {
	                packageName: packageName,
	                callback: function (isInstalled) {
	                    resolve(!!isInstalled);
	                }
	            });
	        });
	    };
	    /**
	     * 普通打开页面
	     * @param intentUri
	     * @return {Promise<boolean>}
	     */
	    Core.prototype.startActivity = function (intentUri) {
	        var self = this;
	        return new Promise(function (resolve) {
	            self.invokeApi('com.dywx.hybrid.handler.IntentHandler/startActivity', { intentUri: intentUri, callback: function (isOpenSuccess) {
	                    resolve(!!isOpenSuccess);
	                } });
	        });
	    };
	    /**
	     * 开启服务
	     * @param intentUri
	     */
	    Core.prototype.startService = function (intentUri) {
	        this.invokeApi('com.dywx.hybrid.handler.IntentHandler/startService', { intentUri: intentUri });
	    };
	    /**
	     * 发送广播
	     * @param intentUri
	     */
	    Core.prototype.sendBroadcast = function (intentUri) {
	        this.invokeApi('com.dywx.hybrid.handler.IntentHandler/sendBroadcast', { intentUri: intentUri });
	    };
	    /**
	    * 本地埋点
	    * @param event 事件名
	    * @param properties json格式参数
	    */
	    Core.prototype.trackEvent = function (event, properties) {
	        this.invokeApi("com.dywx.hybrid.handler.ReportHandler/trackEvent", {
	            event: event,
	            properties: properties
	        });
	    };
	    /////////////////webplayer interfaces///////////////////
	    //通知歌曲信息
	    Core.prototype.onPlayInfoChanged = function (url, title, duration) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onPlayInfoChanged', { url: url, title: title, duration: duration });
	    };
	    //通知播放状态
	    Core.prototype.onPlayStateChanged = function (playState) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onPlayStateChanged', { playState: playState });
	    };
	    //通知缓冲状态
	    Core.prototype.onBufferStateChanged = function (bufferState) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onBufferStateChanged', { bufferState: bufferState });
	    };
	    //通知播放进度
	    Core.prototype.onProgressChanged = function (progress, duration) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onProgressChanged', { progress: progress, duration: duration });
	    };
	    //通知发生错误
	    Core.prototype.onError = function (errorCode, errorMsg) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onError', { errorCode: errorCode, errorMsg: errorMsg });
	    };
	    //通知播放品质
	    Core.prototype.onQualityChanged = function (quality) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onQualityChanged', { quality: quality });
	    };
	    //通知音量变化
	    Core.prototype.onVolumeChanged = function (volume) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onVolumeChanged', { volume: volume });
	    };
	    //通知屏幕亮度变化
	    Core.prototype.onBrightnessChanged = function (brightness) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onBrightnessChanged', { brightness: brightness });
	    };
	    //通知全屏状态变化
	    Core.prototype.onFullScreenChanged = function (full) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onFullScreenChanged', { full: full });
	    };
	    //Log信息输出
	    Core.prototype.onLog = function (message) {
	        this.invokeApi('com.dywx.webplayer.player.PlayerEvent/onLog', { message: message });
	    };
	    //监听用户的操作行为, 各个操作返回结果都以 json 提供, 返回值你操作一下就知道了. 
	    Core.prototype.listenPlayerEvent = function (callback) {
	        this.listenAPI({
	            api: 'com.dywx.webplayer.player.PlayerEvent/listen',
	            callback: callback
	        });
	    };
	    // 关闭监听用户操作. 离开页面必须调用
	    Core.prototype.stopListenPlayerEvent = function () {
	        this.stopListenAPI({
	            api: 'com.dywx.webplayer.player.PlayerEvent/removeListen'
	        });
	    };
	    return Core;
	}());
	exports["default"] = Core;


/***/ })
/******/ ])
});
;